//--------------------------------------------------------------
// File     : main.c
// Datum    : 03.10.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der I2C-Slave-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_led.h"
#include "stm32_ub_i2c1_slave.h"

int main(void)
{
  uint8_t wert;

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init der LEDs
  UB_Led_Init();

  // Init vom I2C-1 als Slave mit Adresse 0x70
  UB_I2C1_Slave_Init(0x70);

  while(1)
  {
	 // Wert vom RAM an Adresse 0x00 auslesen
	 wert=UB_I2C1_Slave_ReadByte(0x00);
	 // LEDs je nach Inhalt schalten
	 if(wert==0x12) {
		 UB_Led_On(LED_GREEN);
		 UB_Led_Off(LED_RED);
	 }
	 else {
		 UB_Led_On(LED_RED);
		 UB_Led_Off(LED_GREEN);
	 }
  }
}

